@font-face {
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    src:
        local("Roboto"),
        url("../../../public/assets/fonts/Roboto/Roboto-Regular.woff2") format("woff2"),
        url("../../../public/assets/fonts/Roboto/Roboto-Regular.woff") format("woff");
    font-display: swap;
}

@font-face {
    font-family: "Roboto Medium";
    font-style: normal;
    font-weight: 600;
    src:
        local("Roboto"),
        url("../../../public/assets/fonts/Roboto/Roboto-Medium.woff2") format("woff2"),
        url("../../../public/assets/fonts/Roboto/Roboto-Medium.woff") format("woff");
    font-display: swap;
}

@font-face {
    font-family: "Roboto Bold";
    font-style: normal;
    font-weight: 700;
    src:
        local("Roboto"),
        url("../../../public/assets/fonts/Roboto/Roboto-Bold.woff2") format("woff2"),
        url("../../../public/assets/fonts/Roboto/Roboto-Bold.woff") format("woff");
    font-display: swap;
}

$primary-font-regular: "Roboto";
$primary-font-semibold: "Roboto Medium";
$primary-font-bold: "Roboto Bold";
$secondary-font: "Roboto";
$logo-text: $primary-font-semibold;
$fs-h1-mobile: 28px;
$fs-h1-tablet: 40px;
$fs-h1-desktop: 56px;
$fs-h2-mobile: 24px;
$fs-h2-tablet: 32px;
$fs-h2-desktop: 40px;
$fs-h3-mobile: 24px;
$fs-h3-tablet: 28px;
$fs-h3-desktop: 32px;
$fs-h4-mobile: 20px;
$fs-h4-tablet: 24px;
$fs-h4-desktop: 24px;
$fs-h5-mobile: 18px;
$fs-h5-tablet: 20px;
$fs-h5-desktop: 20px;
$fs-h6-mobile: 14px;
$fs-h6-tablet: 16px;
$fs-h6-desktop: 16px;
$fs-p-sm: 12px;
$fs-p: 14px;
$fs-p-lg: 16px;
$fs-color-link: 16px;
$linhe-h1-mobile: 32px;
$linhe-h1-tablet: 48px;
$linhe-h1-desktop: 72px;
$linhe-h2-mobile: 32px;
$linhe-h2-tablet: 40px;
$linhe-h2-desktop: 48px;
$linhe-h3-mobile: 32px;
$linhe-h3-tablet: 32px;
$linhe-h3-desktop: 40px;
$linhe-h4-mobile: 28px;
$linhe-h4-tablet: 32px;
$linhe-h4-desktop: 32px;
$linhe-h5-mobile: 24px;
$linhe-h5-tablet: 28px;
$linhe-h5-desktop: 28px;
$linhe-h6-mobile: 20px;
$linhe-h6-tablet: 24px;
$linhe-h6-desktop: 24px;
$linhe-p-mobile: 24px;
$linhe-p-sm: 16px;
$linhe-p: 20px;
$linhe-p-lg: 28px;

@mixin paragraph-sm {
    font-size: $fs-p-sm;
    line-height: $linhe-p-sm;
    font-family: $secondary-font, sans-serif;
}

@mixin paragraph {
    font-size: $fs-p;
    line-height: $linhe-p;
    font-family: $secondary-font, sans-serif;
}

@mixin paragraph-mobile {
    font-size: $fs-p;
    line-height: $linhe-p-mobile;
    font-family: $secondary-font, sans-serif;
}

@mixin paragraph-lg {
    font-size: $fs-p-lg;
    line-height: $linhe-p-lg;
    font-family: $secondary-font, sans-serif;
}

@mixin h1-mobile {
    font-family: $primary-font-bold;
    font-size: $fs-h1-mobile;
    line-height: $linhe-h1-mobile;
}

@mixin h1-tablet {
    font-size: $fs-h1-tablet;
    line-height: $linhe-h1-tablet;
}

@mixin h1-desktop {
    font-size: $fs-h1-desktop;
    line-height: $linhe-h1-desktop;
    letter-spacing: 1px;
}

@mixin h2-mobile {
    font-family: $primary-font-bold;
    font-size: $fs-h2-mobile;
    line-height: $linhe-h2-mobile;
}

@mixin h2-tablet {
    font-size: $fs-h2-tablet;
    line-height: $linhe-h2-tablet;
}

@mixin h2-desktop {
    font-size: $fs-h2-desktop;
    line-height: $linhe-h2-desktop;
}

@mixin h3-mobile {
    font-family: $primary-font-bold;
    font-size: $fs-h3-mobile;
    line-height: $linhe-h3-mobile;
}

@mixin h3-tablet {
    font-size: $fs-h3-mobile;
    line-height: $linhe-h3-mobile;
}

@mixin h3-desktop {
    font-size: $fs-h3-desktop;
    line-height: $linhe-h3-desktop;
}

@mixin h4-mobile {
    font-family: $primary-font-bold;
    font-size: $fs-h4-mobile;
    line-height: $linhe-h4-mobile;
}

@mixin h4-tablet {
    font-size: $fs-h4-mobile;
    line-height: $linhe-h4-mobile;
}

@mixin h4-desktop {
    font-size: $fs-h4-desktop;
    line-height: $linhe-h4-desktop;
}

@mixin h5-mobile {
    font-family: $primary-font-semibold;
    font-size: $fs-h5-mobile;
    line-height: $linhe-h5-mobile;
}

@mixin h5-tablet {
    font-size: $fs-h5-tablet;
    line-height: $linhe-h5-tablet;
}

@mixin h5-desktop {
    font-size: $fs-h5-desktop;
    line-height: $linhe-h5-desktop;
}

@mixin h6-mobile {
    font-family: $primary-font-bold;
    font-size: $fs-h6-mobile;
    line-height: $linhe-h6-mobile;
}

@mixin h6-tablet {
    font-size: $fs-h6-tablet;
    line-height: $linhe-h6-tablet;
}

@mixin h6-desktop {
    font-size: $fs-h6-desktop;
    line-height: $linhe-h6-desktop;
}

@mixin dash-content {
    content: "—";
}
